Subject: Re: bug#58904: [PATCH] Handle buffer streams that operate on lines, pages, etc.

From: Philip Kaludercic <[email-masked]>
Date: Fri, 08 Sep 2023 07:46:24 +0000

Stefan Kangas <[email-masked]> writes:

> Philip,
>
> Stefan Kangas <[email-masked]> writes:
>
>> Philip Kaludercic <[email-masked]> writes:
>>
>>> The commentary for stream.el mentions that the following streams are
>>> supported:
>
> (That's the `stream' package on GNU ELPA, to be clear.)
>
>>>> ;; - buffers (by character)
>>>> ;; - buffers (by line)
>>>> ;; - buffers (by page)
>>>
>>> But I couldn't find anything beyond charachter-streams.  The following
>>> patch would implement that and more, by re-using thingatpt to define any
>>> kind of stream one would want.
>>
>> Copying in Nicolas Petton, in case he has any comments.
>
> Nicolas didn't seem to have any comments, so please go ahead and install
> this if you think it makes sense.
>
> I guess you could also bump the version, if you think that makes sense.

Done and done.

>>> -;; Copyright (C) 2016-2020 Free Software Foundation, Inc.
>>> +;; Copyright (C) 2016-2020, 2022 Free Software Foundation, Inc.
>
> It's okay to write it like this: 2016-2023

That change was made by `copyright-update', but I have updated it
manually.

-- 
Philip Kaludercic